<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:34 CEST 2019 -->
<title>FBUserManager (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FBUserManager (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/management/FBUser.html" title="class in org.firebirdsql.management"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/management/MaintenanceManager.html" title="interface in org.firebirdsql.management"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/management/FBUserManager.html" target="_top">Frames</a></li>
<li><a href="FBUserManager.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.firebirdsql.management.FBServiceManager">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.management</div>
<h2 title="Class FBUserManager" class="title">Class FBUserManager</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../org/firebirdsql/management/FBServiceManager.html" title="class in org.firebirdsql.management">org.firebirdsql.management.FBServiceManager</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.management.FBUserManager</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a>, <a href="../../../org/firebirdsql/management/UserManager.html" title="interface in org.firebirdsql.management">UserManager</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FBUserManager</span>
extends <a href="../../../org/firebirdsql/management/FBServiceManager.html" title="class in org.firebirdsql.management">FBServiceManager</a>
implements <a href="../../../org/firebirdsql/management/UserManager.html" title="interface in org.firebirdsql.management">UserManager</a></pre>
<div class="block">Implements the display/add/delete/modify user functionality of the Firebird Services API.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:sjardine@users.sourceforge.net">Steven Jardine</a>, <a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.management.FBServiceManager">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.firebirdsql.management.<a href="../../../org/firebirdsql/management/FBServiceManager.html" title="class in org.firebirdsql.management">FBServiceManager</a></h3>
<code><a href="../../../org/firebirdsql/management/FBServiceManager.html#BUFFER_SIZE">BUFFER_SIZE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBUserManager.html#FBUserManager--">FBUserManager</a></span>()</code>
<div class="block">Create a new instance of <code>FBMaintenanceManager</code> based on
 the default GDSType.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBUserManager.html#FBUserManager-org.firebirdsql.gds.impl.GDSType-">FBUserManager</a></span>(<a href="../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl">GDSType</a>&nbsp;gdsType)</code>
<div class="block">Create a new instance of <code>FBMaintenanceManager</code> based on
 a given GDSType.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBUserManager.html#FBUserManager-java.lang.String-">FBUserManager</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;gdsType)</code>
<div class="block">Create a new instance of <code>FBMaintenanceManager</code> based on
 a given GDSType.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBUserManager.html#add-org.firebirdsql.management.User-">add</a></span>(<a href="../../../org/firebirdsql/management/User.html" title="interface in org.firebirdsql.management">User</a>&nbsp;user)</code>
<div class="block">Add a user to the Firebird Security Database.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBUserManager.html#delete-org.firebirdsql.management.User-">delete</a></span>(<a href="../../../org/firebirdsql/management/User.html" title="interface in org.firebirdsql.management">User</a>&nbsp;user)</code>
<div class="block">Delete a user to the Firebird Security Database.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBUserManager.html#dropAdminRoleMapping--">dropAdminRoleMapping</a></span>()</code>
<div class="block">Drops AUTO ADMIN MAPPING from role RDB$ADMIN in security database</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="../../../org/firebirdsql/management/User.html" title="interface in org.firebirdsql.management">User</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBUserManager.html#getUsers--">getUsers</a></span>()</code>
<div class="block">Return all valid users in the Firebird Security Database.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBUserManager.html#setAdminRoleMapping--">setAdminRoleMapping</a></span>()</code>
<div class="block">Sets AUTO ADMIN MAPPING for role RDB$ADMIN in security database</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBUserManager.html#setSecurityDatabase-java.lang.String-">setSecurityDatabase</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;securityDatabase)</code>
<div class="block">Sets the security database and therefore overrides the
 per default used security database (e.g.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBUserManager.html#update-org.firebirdsql.management.User-">update</a></span>(<a href="../../../org/firebirdsql/management/User.html" title="interface in org.firebirdsql.management">User</a>&nbsp;user)</code>
<div class="block">Update a user to the Firebird Security Database.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.management.FBServiceManager">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.management.<a href="../../../org/firebirdsql/management/FBServiceManager.html" title="class in org.firebirdsql.management">FBServiceManager</a></h3>
<code><a href="../../../org/firebirdsql/management/FBServiceManager.html#attachDatabase--">attachDatabase</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#attachServiceManager--">attachServiceManager</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#createRequestBuffer-org.firebirdsql.gds.ng.FbService-int-int-">createRequestBuffer</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#executeServicesOperation-org.firebirdsql.gds.ng.FbService-org.firebirdsql.gds.ServiceRequestBuffer-">executeServicesOperation</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#executeServicesOperation-org.firebirdsql.gds.ServiceRequestBuffer-">executeServicesOperation</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getAuthPlugins--">getAuthPlugins</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getCharSet--">getCharSet</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getDatabase--">getDatabase</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getDbCryptConfig--">getDbCryptConfig</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getHost--">getHost</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getLogger--">getLogger</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getPassword--">getPassword</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getPort--">getPort</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getServerVersion--">getServerVersion</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getServiceName--">getServiceName</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getUser--">getUser</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getWireCrypt--">getWireCrypt</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#queueService-org.firebirdsql.gds.ng.FbService-">queueService</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setAuthPlugins-java.lang.String-">setAuthPlugins</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setCharSet-java.lang.String-">setCharSet</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setDatabase-java.lang.String-">setDatabase</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setDbCryptConfig-java.lang.String-">setDbCryptConfig</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setHost-java.lang.String-">setHost</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setLogger-java.io.OutputStream-">setLogger</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setPassword-java.lang.String-">setPassword</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setPort-int-">setPort</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setUser-java.lang.String-">setUser</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setWireCrypt-org.firebirdsql.gds.ng.WireCrypt-">setWireCrypt</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.management.ServiceManager">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.management.<a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></h3>
<code><a href="../../../org/firebirdsql/management/ServiceManager.html#getAuthPlugins--">getAuthPlugins</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getCharSet--">getCharSet</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getDatabase--">getDatabase</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getDbCryptConfig--">getDbCryptConfig</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getHost--">getHost</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getLogger--">getLogger</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getPassword--">getPassword</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getPort--">getPort</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getServerVersion--">getServerVersion</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getUser--">getUser</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getWireCrypt--">getWireCrypt</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setAuthPlugins-java.lang.String-">setAuthPlugins</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setCharSet-java.lang.String-">setCharSet</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setDatabase-java.lang.String-">setDatabase</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setDbCryptConfig-java.lang.String-">setDbCryptConfig</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setHost-java.lang.String-">setHost</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setLogger-java.io.OutputStream-">setLogger</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setPassword-java.lang.String-">setPassword</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setPort-int-">setPort</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setUser-java.lang.String-">setUser</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setWireCrypt-org.firebirdsql.gds.ng.WireCrypt-">setWireCrypt</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FBUserManager--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FBUserManager</h4>
<pre>public&nbsp;FBUserManager()</pre>
<div class="block">Create a new instance of <code>FBMaintenanceManager</code> based on
 the default GDSType.</div>
</li>
</ul>
<a name="FBUserManager-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FBUserManager</h4>
<pre>public&nbsp;FBUserManager(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;gdsType)</pre>
<div class="block">Create a new instance of <code>FBMaintenanceManager</code> based on
 a given GDSType.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>gdsType</code> - type must be PURE_JAVA, EMBEDDED, or NATIVE</dd>
</dl>
</li>
</ul>
<a name="FBUserManager-org.firebirdsql.gds.impl.GDSType-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FBUserManager</h4>
<pre>public&nbsp;FBUserManager(<a href="../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl">GDSType</a>&nbsp;gdsType)</pre>
<div class="block">Create a new instance of <code>FBMaintenanceManager</code> based on
 a given GDSType.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>gdsType</code> - The GDS implementation type to use</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="add-org.firebirdsql.management.User-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre>public&nbsp;void&nbsp;add(<a href="../../../org/firebirdsql/management/User.html" title="interface in org.firebirdsql.management">User</a>&nbsp;user)
         throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/UserManager.html#add-org.firebirdsql.management.User-">UserManager</a></code></span></div>
<div class="block">Add a user to the Firebird Security Database.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/UserManager.html#add-org.firebirdsql.management.User-">add</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/UserManager.html" title="interface in org.firebirdsql.management">UserManager</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>user</code> - to the Firebird Security Database.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="delete-org.firebirdsql.management.User-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>delete</h4>
<pre>public&nbsp;void&nbsp;delete(<a href="../../../org/firebirdsql/management/User.html" title="interface in org.firebirdsql.management">User</a>&nbsp;user)
            throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>,
                   <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/UserManager.html#delete-org.firebirdsql.management.User-">UserManager</a></code></span></div>
<div class="block">Delete a user to the Firebird Security Database.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/UserManager.html#delete-org.firebirdsql.management.User-">delete</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/UserManager.html" title="interface in org.firebirdsql.management">UserManager</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>user</code> - to the Firebird Security Database.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="update-org.firebirdsql.management.User-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>update</h4>
<pre>public&nbsp;void&nbsp;update(<a href="../../../org/firebirdsql/management/User.html" title="interface in org.firebirdsql.management">User</a>&nbsp;user)
            throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>,
                   <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/UserManager.html#update-org.firebirdsql.management.User-">UserManager</a></code></span></div>
<div class="block">Update a user to the Firebird Security Database.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/UserManager.html#update-org.firebirdsql.management.User-">update</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/UserManager.html" title="interface in org.firebirdsql.management">UserManager</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>user</code> - to the Firebird Security Database.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="getUsers--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUsers</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="../../../org/firebirdsql/management/User.html" title="interface in org.firebirdsql.management">User</a>&gt;&nbsp;getUsers()
                          throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>,
                                 <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/UserManager.html#getUsers--">UserManager</a></code></span></div>
<div class="block">Return all valid users in the Firebird Security Database.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/UserManager.html#getUsers--">getUsers</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/UserManager.html" title="interface in org.firebirdsql.management">UserManager</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>all valid users in the Firebird Security Database.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="setSecurityDatabase-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSecurityDatabase</h4>
<pre>public&nbsp;void&nbsp;setSecurityDatabase(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;securityDatabase)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/UserManager.html#setSecurityDatabase-java.lang.String-">UserManager</a></code></span></div>
<div class="block">Sets the security database and therefore overrides the
 per default used security database (e.g. security2.fdb)
 <p/>
 Supported since Firebird 2.1</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/UserManager.html#setSecurityDatabase-java.lang.String-">setSecurityDatabase</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/UserManager.html" title="interface in org.firebirdsql.management">UserManager</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>securityDatabase</code> - name/path of securityDatabase</dd>
</dl>
</li>
</ul>
<a name="setAdminRoleMapping--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAdminRoleMapping</h4>
<pre>public&nbsp;void&nbsp;setAdminRoleMapping()
                         throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>,
                                <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/UserManager.html#setAdminRoleMapping--">UserManager</a></code></span></div>
<div class="block">Sets AUTO ADMIN MAPPING for role RDB$ADMIN in security database</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/UserManager.html#setAdminRoleMapping--">setAdminRoleMapping</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/UserManager.html" title="interface in org.firebirdsql.management">UserManager</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="dropAdminRoleMapping--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>dropAdminRoleMapping</h4>
<pre>public&nbsp;void&nbsp;dropAdminRoleMapping()
                          throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>,
                                 <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/UserManager.html#dropAdminRoleMapping--">UserManager</a></code></span></div>
<div class="block">Drops AUTO ADMIN MAPPING from role RDB$ADMIN in security database</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/UserManager.html#dropAdminRoleMapping--">dropAdminRoleMapping</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/UserManager.html" title="interface in org.firebirdsql.management">UserManager</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/management/FBUser.html" title="class in org.firebirdsql.management"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/management/MaintenanceManager.html" title="interface in org.firebirdsql.management"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/management/FBUserManager.html" target="_top">Frames</a></li>
<li><a href="FBUserManager.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.firebirdsql.management.FBServiceManager">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
